package org.apache.commons.lang3.time;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.Locale;
import java.util.TimeZone;
import org.apache.commons.lang3.LocaleUtils;
import org.apache.commons.lang3.time.FastDatePrinter;

class TimeZoneDisplayKey {
  private final TimeZone mTimeZone;
  
  private final int mStyle;
  
  private final Locale mLocale;
  
  TimeZoneDisplayKey(TimeZone timeZone, boolean daylight, int style, Locale locale) {
    this.mTimeZone = timeZone;
    if (daylight) {
      this.mStyle = style | Integer.MIN_VALUE;
    } else {
      this.mStyle = style;
    } 
    this.mLocale = LocaleUtils.toLocale(locale);
  }
  
  public int hashCode() {
    return (this.mStyle * 31 + this.mLocale.hashCode()) * 31 + this.mTimeZone.hashCode();
  }
  
  public boolean equals(Object obj) {
    if (this == obj)
      return true; 
    if (obj instanceof TimeZoneDisplayKey) {
      TimeZoneDisplayKey other = (TimeZoneDisplayKey)obj;
      return (this.mTimeZone
        .equals(other.mTimeZone) && this.mStyle == other.mStyle && this.mLocale
        
        .equals(other.mLocale));
    } 
    return false;
  }
}
